#include "sol_thrd.h"
#include "sol_thrd_api.h"
#include "motor_thrd_api.h"
#include "idc_assignment.h"

static int isActive = 0;
static TickType_t disableAt;

void Solenoid_Trigger() {
	disableAt = xTaskGetTickCount() + pdMS_TO_TICKS(800);
	isActive = 1;
	Motor_Set(MOTOR_SOLENOID_NUMBER, 1, 95);
}

void sol_thrd_entry(void* pvParameters) {
	FSP_PARAMETER_NOT_USED(pvParameters);

	while (1) {
		if (isActive && xTaskGetTickCount() > disableAt) {
			isActive = 0;
			Motor_TurnOff(MOTOR_SOLENOID_NUMBER);
		}

		vTaskDelay(5);
	}
}
