#ifndef __MAX5715_H
#define __MAX5715_H

#include <stdint.h>

typedef enum {
	MAX5715_Reference_External = 0,
	MAX5715_Reference_2V500 = 1,
	MAX5715_Reference_2V048 = 2,
	MAX5715_Reference_4V096 = 3
} MAX5715_Reference;

typedef enum {
	MAX5715_Channel_A = 0,
	MAX5715_Channel_B = 1,
	MAX5715_Channel_C = 2,
	MAX5715_Channel_D = 3,
	MAX5715_Channel_All = 4
} MAX5715_Channel;

void MAX5715_Init();
void MAX5715_SetReference(int referencePowerAllways, MAX5715_Reference mode);
void MAX5715_SetDAC(MAX5715_Channel dacIndex, uint16_t value);

#endif
